
Ruby - Feature #8265

-0.0 does not have a Flonum like 0.0

04/14/2013 03:58 PM - Hanmac (Hans Mackowiak)

Status: Rejected   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version:    

Description

=begin

with Flonum,

fixed id for 0.0

(0.0).object_id #=> -9223372036854775806

(0.0).object_id #=> -9223372036854775806

non-fixed id for -0.0

(-0.0).object_id #=> 22387560

(-0.0).object_id #=> 22381340

i think that -0.0 should have fixed object_id too

=end

History

#1 - 04/15/2013 06:04 AM - ko1 (Koichi Sasada)

i think that -0.0 should have fixed object_id too

 Why?

#2 - 04/15/2013 08:50 AM - nobu (Nobuyoshi Nakada)

- Tracker changed from Bug to Feature

- Status changed from Open to Feedback

#3 - 04/15/2013 08:51 AM - nobu (Nobuyoshi Nakada)

- Description updated

#4 - 04/15/2013 10:01 AM - naruse (Yui NARUSE)

- Description updated

#5 - 04/15/2013 04:41 PM - Hanmac (Hans Mackowiak)

for me it doesnt make much sense that some Floats have fixed object_ids and some Floats does have not, so i think, when fixed ids are possible than

they should be for much of them as possible

#6 - 04/16/2013 09:25 AM - ko1 (Koichi Sasada)

- Category set to core

- Status changed from Feedback to Rejected

- Assignee set to ko1 (Koichi Sasada)

It seems not practical problem.

Please reopen this ticket if you find real problem.

(for example, there are too many -0.0 objects in your program and it beats performance)
